import { type TabsProps as GenericTabsProps } from '@mui/material/Tabs';
import { type FunctionComponent } from 'react';
declare const Tabs: FunctionComponent<TabsProps>;
export default Tabs;
export type TabsProps = GenericTabsProps & {
    defaultIndex: number;
    onSelectTab?: (tabIndex: number) => void;
    routes?: Array<{
        key: string;
        title: string;
    }>;
};
